/* Nome do produto */
.info-produto .produto-sobrepor {
   display: -webkit-box;
   -webkit-box-orient: vertical;
   -webkit-line-clamp: 2;   /* máximo de 2 linhas */
   overflow: hidden;
   text-overflow: ellipsis;
   height: 44px;            /* ajuste conforme fonte */
   line-height: 22px;       /* altura da linha */
}

/* Preço do produto */
.info-produto .preco-produto {
   height: 100px;
   overflow: hidden;
}

/* Imagem do produto */
.listagem-item .imagem-produto img {
   width: 100%;          /* ocupa toda a largura do card */
   height: 250px;        /* altura fixa */
   object-fit: contain;  /* mantém proporção sem cortar */
}


/* Card do produto */
.listagem-item {
   height: 420px;        /* altura fixa do card */
   width: 250px; /* ajuste conforme seu layout */
   display: flex;
   flex-direction: column;
   justify-content: space-between; /* distribui imagem, nome e preço */
}
